package com.mortals.xhx.busiz.req;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


@Data
public class DeviceReq implements Serializable {

    /**
     * 1：新增，2：修改，3：删除，4：激活，5：启用，6：停用
     */
    private Integer receiveMethod;
    /**
     * 平台系统编码
     */
    private String platformCode;
    /**
     * 产品编码
     */
    private String productCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备编码(暂定mac地址)
     */
    private String deviceCode;
    /**
     * 所属站点Id
     */
    private Long siteId;
    /**
     * 所属站点编码
     */
    private String siteCode;
    /**
     * 所属站点名称
     */
    private String siteName;
    /**
     * 设备备注信息
     */
    private String deviceRemark;
    /**
     * 设备
     */
    private String homeUrl;
    /**
     * 设备访问ip
     */
    private String ip;
    /**
     * 中心设备编码
     */
    private String centernum;
    /**
     * 端口
     */
    private String port;


}
